Subject: bug#5929: closed (Re: bug#4952: recognize URLs more)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Dec 2012 07:30:04 +0000

Your bug report

#4952: 24.0.50; FFAP anti-Asian

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4952: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4952
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4952: recognize URLs more
From: Chong Yidong <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 05 Dec 2012 15:28:57 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> How do I make ffap or emacs-w3m recognize that
> This：http://jidanni.org/ and
> this:http://jidanni.org/ are URLs, just like
> This: http://jidanni.org/ ?

Fixed in trunk, thanks.

Subject: 24.0.50; FFAP anti-Asian
From: [email-masked]
To: [email-masked]
Date: Mon, 12 Apr 2010 01:50:46 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"I can't take it any longer." FFAP can't detect these URLs because FFAP
is anti-Asian :-) wide character.
亞太綠人大會（APGN）網站：http://www.apgn2010.org/zh-hant/home
亞太酷兒綠人會議（APQG）網站：http://sites.google.com/site/apqg2010/
Or FFAP is anti colon,
亞太綠人大會（APGN）網站:http://www.apgn2010.org/zh-hant/home
亞太酷兒綠人會議（APQG）網站:http://sites.google.com/site/apqg2010/
Anyway, _more often than not_ URLs come with a ： glued in front of them.

Please update

ffap-url-regexp is a variable defined in `ffap.el'.
Its value is
"\\`\\(news\\(post\\)?:\\|nntp:\\|mailto:\\|file:\\|\\(ftp\\|https?\\|telnet\\|gopher\\|www\\|wais\\)://\\)."

I notice my .emacs file has

(eval-after-load "ffap"
  '(setcar (cdr (assq 'url ffap-string-at-point-mode-alist))
 	   "--:=&?$+@-Z_[:lower:][:multibyte:]()~#,%;*"))

which all I know is it doesn't help.